@extends('layouts.admin')

@section('page', 'Dashboard')

@section('navigation')
                <li class="treeview">
                    <a>
                        <i class="fas fa-user"></i> <span>Account</span>
                        <span class="pull-right-container"><i class="fa fa-angle-left pull-right"></i></span>
                    </a>
                    <ul class="treeview-menu">
                        <li><a href="{{ route('panel.profile') }}"><i class="fas fa-id-badge"></i> Profile</a></li>
                        <li><a href="{{ route('panel.change') }}"><i class="fas fa-clipboard"></i> Change</a></li>
                        <li class="hidden-xs"><a href="{{ route('panel.security') }}"><i class="fas fa-lock"></i> Security</a></li>
                    </ul>
                </li>
                <li class="header">NAVIGATION</li>
                <li class="active">
                    <a><i class="fas fa-tachometer-alt"></i> <span>Dashboard</span></a>
                </li>
                @canany(['project_see', 'status_see'])
                <li class="treeview">
                    <a>
                        <i class="fas fa-list"></i> <span>Projects</span>
                        <span class="pull-right-container"><i class="fa fa-angle-left pull-right"></i></span>
                    </a>
                    <ul class="treeview-menu">
                        @can('project_see')<li><a href="{{ route('panel.project') }}"><i class="fas fa-clipboard"></i> Project</a></li>@endcan
                        @can('order_see')<li><a href="{{ route('panel.order') }}"><i class="fas fa-file-invoice"></i> Order</a></li>@endcan
                        @can('status_see')<li><a href="{{ route('panel.status') }}"><i class="fas fa-clipboard"></i> Status</a></li>@endcan
                    </ul>
                </li>
                @endcanany
                @canany(['roles_see', 'user_see'])
                <li class="treeview">
                    <a>
                        <i class="fas fa-user"></i> <span>Management</span>
                        <span class="pull-right-container"><i class="fa fa-angle-left pull-right"></i></span>
                    </a>
                    <ul class="treeview-menu">
                        @can('user_see')<li><a href="{{ route('panel.ums') }}"><i class="fas fa-id-badge"></i> Users</a></li>@endcan
                        @can('roles_see')<li><a href="{{ route('panel.role') }}"><i class="fas fa-lock"></i> Roles</a></li>@endcan
                    </ul>
                </li>
                @endcanany
@endsection

@section('content')
            @if(session('error'))
            <div class="alert alert-danger" role="alert">
                {{ session('error') }}
                <a class="close" data-dismiss="alert" aria-label="close">&times;</a>
            </div>

            @elseif(session('success'))
            <div class="alert alert-success" role="alert">
                {{ session('success') }}
                <a class="close" data-dismiss="alert" aria-label="close">&times;</a>
            </div>

            @endif
            <div class="row">
                <div class="col-lg-3 col-xs-6">
                    <div class="small-box bg-blue-gradient">
                        <div class="inner">
                            <h3>{{ $projects }}</h3>
                            <p>Projects</p>
                        </div>
                        <div class="icon">
                            <i class="fas fa-project-diagram"></i>
                        </div>
                    </div>
                </div>

                <div class="col-lg-3 col-xs-6">
                    <div class="small-box bg-blue-gradient">
                        <div class="inner">
                            <h3>{{ $finished_projects }}</h3>
                            <p>Finished Projects</p>
                        </div>
                        <div class="icon">
                            <i class="fas fa-terminal"></i>
                        </div>
                    </div>
                </div>

                <div class="col-lg-3 col-xs-6">
                    <div class="small-box bg-blue-gradient">
                        <div class="inner">
                            <h3>{{ $orders }}</h3>
                            <p>Orders</p>
                        </div>
                        <div class="icon">
                            <i class="fas fa-file-invoice"></i>
                        </div>
                    </div>
                </div>

                <div class="col-lg-3 col-xs-6">
                    <div class="small-box bg-blue-gradient">
                        <div class="inner">
                            <h3>€{{ $total_paid }}</h3>
                            <p>Total Earned</p>
                        </div>
                        <div class="icon">
                            <i class="fas fa-money-bill"></i>
                        </div>
                    </div>
                </div>
            </div>
@endsection
