@extends('layouts.panel')

@section('navigation')
            <ul class="nav navbar-nav">
                <li class="active"><a>Home</a></li>
                <li><a href="{{ route('security') }}">Security</a></li>
                <li><a href="{{ route('change') }}">Change</a></li>
            </ul>
            <ul class="nav navbar-nav navbar-right">
                <li class="dropdown">
                    <a class="dropdown-toggle" data-toggle="dropdown" role="button" aria-haspopup="true" aria-expanded="false">{{ Auth::user()->username() }}<span class="caret"></span></a>
                    <ul class="dropdown-menu">
                        <li><a href="{{ route('home') }}">Panel</a></li>
                        @if(Auth::user()->is_admin || Auth::user()->is_root)
                            <li><a href="admin/">Admin</a></li>
                            <li role="separator" class="divider"></li>
                        @endif
                        <li><a href="{{ route('logout') }}">Logout</a></li>
                    </ul>
                </li>
            </ul>
@endsection

@section('content')
<div class="container-fluid" style="margin-top: 75px">
    @if(Auth::user()->hasShows())
    @foreach(Auth::user()->getShows() as $show)
    <div class="col-lg-6 col-lg-offset-3 col-md-8 col-md-offset-2">
        <div class="panel panel-theme">
            <div class="panel-heading">
                <h3 class="panel-title">{{ $show->title }}</h3>
            </div>
            <div class="panel-body">
                <div class="container-fluid">
                    <div class="row">
                        <div class="col-xs-12 col-lg-9 col-md-9 col-sm-9">
                            <p>{!! $show->description !!}</p>
                            @php($time = strtotime($show->date))
                            <p class="bottom"><strong>Date: </strong>{{ date('d-m-Y', $time) }} at {{ date('H:m', $time) }}</p>
                            <p><strong>Seat: </strong>{{ $show->seat }}</p>
                            <p><strong>Voucher: </strong>{{ $show->voucher }}</p>
                        </div>
                        <div class="hidden-xs col-lg-3 col-md-3 col-sm-3">
                            <img src="{{ $show->image }}" style="float: right; height: auto; width: 100%; margin: auto" alt="Image">
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    @endforeach
    @else
    <div class="col-lg-6 col-lg-offset-3 col-md-8 col-md-offset-2">
        <div class="panel panel-theme">
            <div class="panel-heading">
                <h3 class="panel-title">No Shows</h3>
            </div>
            <div class="panel-body">
                <div class="container-fluid">
                    <p>You have no tickets for shows.</p>
                </div>
            </div>
        </div>
    </div>
    @endif
</div>
@endsection
