@extends('layouts.panel')

@section('navigation')
            <ul class="nav navbar-nav">
                <li><a href="{{ route('home') }}">Home</a></li>
                <li class="active"><a href="{{ route('status') }}">Attraction Status</a></li>
                @if(Route::has('photo'))
                <li><a href="{{ route('photo') }}">ActionFoto's</a></li>
                @endif
                <li><a href="{{ route('shows') }}">Show</a></li>
                <!-- <li><a href="status.php">Attraction Status</a></li>
                <li><a href="photo.php">Photo's</a></li>
                <li><a href="show.php">Show</a></li>
                <li><a href="store.php">Store</a></li> -->
            </ul>
            <ul class="nav navbar-nav navbar-right">
                <li class="dropdown"><a class="dropdown-toggle" data-toggle="dropdown" role="button" aria-haspopup="true" aria-expanded="false">{{ Auth::user()->username() }}<span class="caret"></span></a><ul class="dropdown-menu">
                        <li><a href="{{ route('profile.home') }}">Profile</a></li>
                        @if(Auth::user()->is_admin || Auth::user()->is_root)
                        <li><a href="admin/">Admin</a></li>
                        <li role="separator" class="divider"></li>
                        @endif
                        <li><a href="{{ route('logout') }}">Logout</a></li>
                    </ul>
                </li>
            </ul>
@endsection

@section('content')
<div class="wrapper">
    <div class="col-lg-6 col-lg-offset-3 col-md-8 col-md-offset-2">
        <div class="panel panel-theme news">
            <div class="panel-heading">
                <h3 class="panel-title">{{ \App\Color\MinecraftColor::stripColor($name) }}</h3>
            </div>
            <div class="panel-body">
                <div class="col-lg-6 col-xs-12 col-md-6 col-sm-12">
                    <p>Personal: {{ $personal }}</p>
                    <p>Total: {{ $total }}</p>
                </div>
                <div class="col-lg-6 col-xs-12 col-md-6 col-sm-12">
                    @if(!empty($top10))
                    @foreach($top10 as $row)
                    <p><b>{{ $row->num }}#</b> {{ \App\Cache\Cache::getUsername($row->uuid) }}<b>:</b> {{ $row->count }}</p>
                    @endforeach
                    @else
                    <p>Nobody has ridden this attraction this week</p>
                    @endif
                </div>
            </div>
        </div>
    </div>
</div>
@endsection
