@extends('layouts.panel')

@section('navigation')
            <ul class="nav navbar-nav">
                <li><a href="{{ route('home') }}">Home</a></li>
                <li><a href="{{ route('status') }}">Attraction Status</a></li>
                @if(Route::has('photo'))
                <li><a href="{{ route('photo') }}">ActionFoto's</a></li>
                @endif
                <li class="active"><a>Show</a></li>
                <!-- <li><a href="store.php">Store</a></li> -->
            </ul>
            <ul class="nav navbar-nav navbar-right">
                <li class="dropdown"><a class="dropdown-toggle" data-toggle="dropdown" role="button" aria-haspopup="true" aria-expanded="false">{{ Auth::user()->username() }}<span class="caret"></span></a><ul class="dropdown-menu">
                        <li><a href="{{ route('profile.home') }}">Profile</a></li>
                        @if(Auth::user()->is_admin || Auth::user()->is_root)
                        <li><a href="admin/">Admin</a></li>
                        <li role="separator" class="divider"></li>
                        @endif
                        <li><a href="{{ route('logout') }}">Logout</a></li>
                    </ul>
                </li>
            </ul>
@endsection

@section('content')
<div class="wrapper">
    @if(!empty($shows))
    @foreach($shows as $show)
    <div class="col-lg-6 col-lg-offset-3 col-md-8 col-md-offset-2">
        <div class="panel panel-theme">
            <div class="panel-heading">
                <h3 class="panel-title">{{ $show->title }} <span style="float: right"><a style="text-decoration: none; color: #fff" href="{{ route('order', ['show_id' => $show->id]) }}">Ticket <i class="glyphicon glyphicon-shopping-cart"></i></a></span></h3>
            </div>
            <div class="panel-body">
                <div class="container-fluid">
                    <div class="row">
                        <div class="col-xs-12 col-lg-9 col-md-9 col-sm-9">
                            <p>{{ $show->description }}</p>
                        </div>
                        <div class="hidden-xs col-lg-3 col-md-3 col-sm-3">
                            <img src="{{ $show->image }}" style="float: right; height: auto; width: 100%; margin: auto" alt="Image">
                        </div>
                    </div>
                    <p><strong>Price: €</strong>{{ $show->price }}</p>
                </div>
            </div>
        </div>
    </div>
    @endforeach
    @else
    <div class="col-lg-6 col-lg-offset-3 col-md-8 col-md-offset-2">
        <div class="panel panel-theme">
            <div class="panel-heading">
                <h3 class="panel-title">No Shows</h3>
            </div>
            <div class="panel-body">
                <div class="container-fluid">
                    <p>There are no shows.</p>
                </div>
            </div>
        </div>
    </div>
    @endif
</div>
@endsection
